Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface EventFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EventFactoryImpl

public interface EventFactory
extends org.eclipse.emf.ecore.EFactory

The Factory for the model.

It provides a create method for each non-abstract class of the model.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  `EventPackage`

Field Summary
`static EventFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AssociatedEvent` | `createAssociatedEvent()` Returns a new object of class 'Associated Event'.
`AssociationEngine` | `createAssociationEngine()` Returns a new object of class 'Association Engine'.
`AvailableSituation` | `createAvailableSituation()` Returns a new object of class 'Available Situation'.
`CommonBaseEvent` | `createCommonBaseEvent()` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, ComponentIdentification reporterCompId, ComponentIdentification sourceCompId, Situation situation, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, ComponentIdentification reporterCompId, ComponentIdentification sourceCompId, Situation situation, java.lang.String msgCatalogId, java.lang.String[] msgCatalogTokens, java.lang.String msgId, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, Situation situation, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, Situation situation, java.lang.String msgCatalogId, java.lang.String[] msgCatalogTokens, java.lang.String msgId, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName, long creationTime)` Returns a new object of class 'Common Base Event'.
`ComponentIdentification` | `createComponentIdentification()` Returns a new object of class 'Component Identification'.
`ConfigureSituation` | `createConfigureSituation()` Returns a new object of class 'Configure Situation'.
`ConnectSituation` | `createConnectSituation()` Returns a new object of class 'Connect Situation'.
`ContextDataElement` | `createContextDataElement()` Returns a new object of class 'Context Data Element'.
`CreateSituation` | `createCreateSituation()` Returns a new object of class 'Create Situation'.
`DependencySituation` | `createDependencySituation()` Returns a new object of class 'Dependency Situation'.
`DestroySituation` | `createDestroySituation()` Returns a new object of class 'Destroy Situation'.
`ExtendedDataElement` | `createExtendedDataElement()` Returns a new object of class 'Extended Data Element'.
`FeatureSituation` | `createFeatureSituation()` Returns a new object of class 'Feature Situation'.
`java.lang.String` | `createGlobalInstanceId()` Produces a globally unique identifier according to the Open Group algorithm.
`MsgCatalogToken` | `createMsgCatalogToken()` Returns a new object of class 'Msg Catalog Token'.
`MsgDataElement` | `createMsgDataElement()` Returns a new object of class 'Msg Data Element'.
`OtherSituation` | `createOtherSituation()` Returns a new object of class 'Other Situation'.
`ReportSituation` | `createReportSituation()` Returns a new object of class 'Report Situation'.
`RequestSituation` | `createRequestSituation()` Returns a new object of class 'Request Situation'.
`Situation` | `createSituation()` Returns a new object of class 'Situation'.
`StartSituation` | `createStartSituation()` Returns a new object of class 'Start Situation'.
`StopSituation` | `createStopSituation()` Returns a new object of class 'Stop Situation'.
`boolean` | `getCompleteEvent()` Gets the complete event configuration flag for this event factory instance.
`ContentHandler` | `getContentHandler()` Gets the `ContentHandler` associated with this event factory instance.
`EventPackage` | `getEventPackage()` Returns the package supported by this factory.
`void` | `setCompleteEvent(boolean completeEvent)` Sets the complete event configuration flag for this event factory instance.
`void` | `setContentHandler(ContentHandler contentHandler)` Sets the `ContentHandler` associated with this event factory instance.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    public static final EventFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### setContentHandler

    public void setContentHandler(ContentHandler contentHandler)

  Sets the `ContentHandler` associated with this event factory instance.

  `ContentHandler`s associated with this event factory instance are assigned to each newly create event instance.

  Parameters:
    `contentHandler` - The new `ContentHandler` associated with this event factory instance.

### getContentHandler

    public ContentHandler getContentHandler()

  Gets the `ContentHandler` associated with this event factory instance.

  `ContentHandler`s associated with this event factory instance are assigned to each newly create event instance.

  Returns:
    The `ContentHandler` associated with this event factory instance, otherwise null.

### setCompleteEvent

    public void setCompleteEvent(boolean completeEvent)

  Sets the complete event configuration flag for this event factory instance.

  The complete event configuration flag instructs the event factory instance to automatically complete newly create event instances using the `ContentHandler` associated with this event factory instance, if any.

  If the complete event configuration flag is false, the event factory will not automatically complete newly create event instances.

  By default, the complete event configuration flag is false.

  Parameters:
    `completeEvent` - The complete event configuration flag.

### getCompleteEvent

    public boolean getCompleteEvent()

  Gets the complete event configuration flag for this event factory instance.

  The complete event configuration flag instructs the event factory instance to automatically complete newly create event instances using the `ContentHandler` associated with this event factory instance, if any.

  If the complete event configuration flag is false, the event factory will not automatically complete newly create event instances.

  By default, the complete event configuration flag is false.

  Returns:
    True if the complete event configuration flag is set, otherwise false.

### getEventPackage

    public EventPackage getEventPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createAssociatedEvent

    public AssociatedEvent createAssociatedEvent()

  Returns a new object of class 'Associated Event'.

  Returns:
    a new object of class 'Associated Event'.

### createAssociationEngine

    public AssociationEngine createAssociationEngine()

  Returns a new object of class 'Association Engine'.

  Returns:
    a new object of class 'Association Engine'.

### createAvailableSituation

    public AvailableSituation createAvailableSituation()

  Returns a new object of class 'Available Situation'.

  Returns:
    a new object of class 'Available Situation'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent()

  Returns a new object of class 'Common Base Event'.

  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(java.lang.String extensionName)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `extensionName` - the extension name for the newly returned event or null.
  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(java.lang.String extensionName,
                                                 long creationTime)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `extensionName` - the extension name for the newly returned event or null.
    `creationTime` - the creation time, in xsd:dateTime format, for the newly created event or -1.
  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 Situation situation,
                                                 java.lang.String msg)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `severity` - the severity of the event being created or -1
    `situation` - the situation of the event being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 Situation situation,
                                                 java.lang.String msgCatalogId,
                                                 java.lang.String[] msgCatalogTokens,
                                                 java.lang.String msgId,
                                                 java.lang.String msg)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `severity` - the severity of the event being created or -1
    `situation` - the situation of the event being created or null
    `msgCatalogId` - the msgCatalogId of the MsgDataElement of the CommonBaseEvent being created or null
    `msgCatalogTokens` - the msgCatalogTokens of the MsgDataElement of the CommonBaseEvent being created or null
    `msgId` - the msgId of the MsgDataElement of the CommonBaseEvent being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 ComponentIdentification reporterCompId,
                                                 ComponentIdentification sourceCompId,
                                                 Situation situation,
                                                 java.lang.String msg)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `severity` - the severity of the event being created or -1
    `reporterCompId` - the reporter component Id of the event being created or null
    `sourceCompId` - the source component Id of the event being created or null
    `situation` - the situation of the event being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 ComponentIdentification reporterCompId,
                                                 ComponentIdentification sourceCompId,
                                                 Situation situation,
                                                 java.lang.String msgCatalogId,
                                                 java.lang.String[] msgCatalogTokens,
                                                 java.lang.String msgId,
                                                 java.lang.String msg)

  Returns a new object of class 'Common Base Event'.

  Parameters:
    `severity` - the severity of the event being created or -1
    `reporterCompId` - the reporter component Id of the event being created or null
    `sourceCompId` - the source component Id of the event being created or null
    `situation` - the situation of the event being created or null
    `msgCatalogId` - the msgCatalogId of the MsgDataElement of the CommonBaseEvent being created or null
    `msgCatalogTokens` - the msgCatalogTokens of the MsgDataElement of the CommonBaseEvent being created or null
    `msgId` - the msgId of the MsgDataElement of the CommonBaseEvent being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.

### createComponentIdentification

    public ComponentIdentification createComponentIdentification()

  Returns a new object of class 'Component Identification'.

  Returns:
    a new object of class 'Component Identification'.

### createConfigureSituation

    public ConfigureSituation createConfigureSituation()

  Returns a new object of class 'Configure Situation'.

  Returns:
    a new object of class 'Configure Situation'.

### createConnectSituation

    public ConnectSituation createConnectSituation()

  Returns a new object of class 'Connect Situation'.

  Returns:
    a new object of class 'Connect Situation'.

### createContextDataElement

    public ContextDataElement createContextDataElement()

  Returns a new object of class 'Context Data Element'.

  Returns:
    a new object of class 'Context Data Element'.

### createCreateSituation

    public CreateSituation createCreateSituation()

  Returns a new object of class 'Create Situation'.

  Returns:
    a new object of class 'Create Situation'.

### createDependencySituation

    public DependencySituation createDependencySituation()

  Returns a new object of class 'Dependency Situation'.

  Returns:
    a new object of class 'Dependency Situation'.

### createDestroySituation

    public DestroySituation createDestroySituation()

  Returns a new object of class 'Destroy Situation'.

  Returns:
    a new object of class 'Destroy Situation'.

### createExtendedDataElement

    public ExtendedDataElement createExtendedDataElement()

  Returns a new object of class 'Extended Data Element'.

  Returns:
    a new object of class 'Extended Data Element'.

### createFeatureSituation

    public FeatureSituation createFeatureSituation()

  Returns a new object of class 'Feature Situation'.

  Returns:
    a new object of class 'Feature Situation'.

### createGlobalInstanceId

    public java.lang.String createGlobalInstanceId()

  Produces a globally unique identifier according to the Open Group algorithm.

  The algorithm is described in http://www.opengroup.org/dce/info/draft-leach-uuids-guids-01.txt

  The produced identifier is always prefixed with "CE" so that it does not clash with identifiers produced by another application using the same algorithm.

  Returns:
    a globally unique identifier according to the algorithm above.

### createMsgCatalogToken

    public MsgCatalogToken createMsgCatalogToken()

  Returns a new object of class 'Msg Catalog Token'.

  Returns:
    a new object of class 'Msg Catalog Token'.

### createMsgDataElement

    public MsgDataElement createMsgDataElement()

  Returns a new object of class 'Msg Data Element'.

  Returns:
    a new object of class 'Msg Data Element'.

### createOtherSituation

    public OtherSituation createOtherSituation()

  Returns a new object of class 'Other Situation'.

  Returns:
    a new object of class 'Other Situation'.

### createReportSituation

    public ReportSituation createReportSituation()

  Returns a new object of class 'Report Situation'.

  Returns:
    a new object of class 'Report Situation'.

### createRequestSituation

    public RequestSituation createRequestSituation()

  Returns a new object of class 'Request Situation'.

  Returns:
    a new object of class 'Request Situation'.

### createSituation

    public Situation createSituation()

  Returns a new object of class 'Situation'.

  Returns:
    a new object of class 'Situation'.

### createStartSituation

    public StartSituation createStartSituation()

  Returns a new object of class 'Start Situation'.

  Returns:
    a new object of class 'Start Situation'.

### createStopSituation

    public StopSituation createStopSituation()

  Returns a new object of class 'Stop Situation'.

  Returns:
    a new object of class 'Stop Situation'.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD